The "Delete Price by ID for a Product" API allows deleting a specific price associated with a particular product using its unique identifier. Use this endpoint to remove a price from the system.

http
DELETE https://services.leadconnectorhq.com/products/{productId}/price/{priceId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
productIdstringYes6578278e879ad2646715ba9cID of the product that needs to be used
priceIdstringYes6578278e879ad2646715ba9cID of the price that needs to be returned

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYes6578278e879ad2646715ba9caccount Id

Responses

200 - Successful response
  • status (boolean, required): returns true if the price is successfully deleted Example: True

json
{
  "status": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X DELETE 'https://services.leadconnectorhq.com/products/YOUR_productId/price/YOUR_priceId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?